org.eclipse.oomph.setup.workingsets

## Interface WorkingSetTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    WorkingSetTaskImpl

      public interface WorkingSetTask
      extends SetupTask

  A representation of the model object 'Set Working Task'.

  The following features are supported:

  - `Working Sets`
  See Also:
    `SetupWorkingSetsPackage.getWorkingSetTask()`
  Generated
  Model
    annotation="http://www.eclipse.org/oomph/setup/ValidTriggers triggers='STARTUP MANUAL'"

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<org.eclipse.oomph.workingsets.WorkingSet>` | `getWorkingSets()` Returns the value of the 'Working Sets' containment reference list.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getWorkingSets

          EList<org.eclipse.oomph.workingsets.WorkingSet> getWorkingSets()

      Returns the value of the 'Working Sets' containment reference list. The list contents are of type `WorkingSet`.

      If the meaning of the 'Working Sets' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Working Sets' containment reference list.
      See Also:
        `SetupWorkingSetsPackage.getWorkingSetTask_WorkingSets()`
      Generated
      Model
        containment="true" extendedMetaData="name='workingSet'"

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html